Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mybytecode
Class CPInfo

    java.lang.Object
      mycompiler.mybytecode.CPInfo

Direct Known Subclasses:
  CONSTANT_Class_info, CONSTANT_Double_info, CONSTANT_Fieldref_info, CONSTANT_Float_info, CONSTANT_Integer_info, CONSTANT_InterfaceMethodref_info, CONSTANT_Long_info, CONSTANT_Methodref_info, CONSTANT_NameAndType_info, CONSTANT_String_info, CONSTANT_Utf8_info

    public abstract class CPInfo

extends java.lang.Object

Constructor Summary
`CPInfo()`

Method Summary
`abstract void` | `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`byte` | `get_tag()`
`void` | `set_tag(byte t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPInfo

    public CPInfo()

Method Detail

### get_tag

    public byte get_tag()

### set_tag

    public void set_tag(byte t)

### codegen

    public abstract void codegen(ClassFile classfile,
                                 java.io.FileOutputStream f)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD